Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.classifiers.functions.pace
Class FlexibleDecimalFormat

    java.lang.Object
      java.text.Format
          java.text.NumberFormat
              java.text.DecimalFormat
                  weka.classifiers.functions.pace.FlexibleDecimalFormat

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class FlexibleDecimalFormat

extends java.text.DecimalFormat

Version:
  $Revision: 1.2.2.1 $
Author:
  Yong Wang
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.text.NumberFormat
`java.text.NumberFormat.Field`

Field Summary

Fields inherited from class java.text.NumberFormat
`FRACTION_FIELD, INTEGER_FIELD`

Constructor Summary
`FlexibleDecimalFormat()`
`FlexibleDecimalFormat(double d)`
`FlexibleDecimalFormat(int digits)`
`FlexibleDecimalFormat(int digits, boolean trailing)`
`FlexibleDecimalFormat(int digits, boolean exp, boolean trailing, boolean grouping)`

Method Summary
`java.lang.StringBuffer` | `format(double number, java.lang.StringBuffer toAppendTo, java.text.FieldPosition pos)`
`java.lang.StringBuffer` | `formatString(java.lang.String str)`
`void` | `grouping(boolean grouping)`
`boolean` | `needExponentialFormat(double d)`
`void` | `update(double d)`
`int` | `width()`

Methods inherited from class java.text.DecimalFormat
`applyLocalizedPattern, applyPattern, clone, equals, format, format, formatToCharacterIterator, getCurrency, getDecimalFormatSymbols, getGroupingSize, getMaximumFractionDigits, getMaximumIntegerDigits, getMinimumFractionDigits, getMinimumIntegerDigits, getMultiplier, getNegativePrefix, getNegativeSuffix, getPositivePrefix, getPositiveSuffix, hashCode, isDecimalSeparatorAlwaysShown, isParseBigDecimal, parse, setCurrency, setDecimalFormatSymbols, setDecimalSeparatorAlwaysShown, setGroupingSize, setMaximumFractionDigits, setMaximumIntegerDigits, setMinimumFractionDigits, setMinimumIntegerDigits, setMultiplier, setNegativePrefix, setNegativeSuffix, setParseBigDecimal, setPositivePrefix, setPositiveSuffix, toLocalizedPattern, toPattern`

Methods inherited from class java.text.NumberFormat
`format, format, getAvailableLocales, getCurrencyInstance, getCurrencyInstance, getInstance, getInstance, getIntegerInstance, getIntegerInstance, getNumberInstance, getNumberInstance, getPercentInstance, getPercentInstance, isGroupingUsed, isParseIntegerOnly, parse, parseObject, setGroupingUsed, setParseIntegerOnly`

Methods inherited from class java.text.Format
`format, parseObject`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlexibleDecimalFormat

    public FlexibleDecimalFormat()

### FlexibleDecimalFormat

    public FlexibleDecimalFormat(int digits)

### FlexibleDecimalFormat

    public FlexibleDecimalFormat(int digits,
                                 boolean trailing)

### FlexibleDecimalFormat

    public FlexibleDecimalFormat(int digits,
                                 boolean exp,
                                 boolean trailing,
                                 boolean grouping)

### FlexibleDecimalFormat

    public FlexibleDecimalFormat(double d)

Method Detail

### update

    public void update(double d)

### needExponentialFormat

    public boolean needExponentialFormat(double d)

### grouping

    public void grouping(boolean grouping)

### format

    public java.lang.StringBuffer format(double number,
                                         java.lang.StringBuffer toAppendTo,
                                         java.text.FieldPosition pos)

  Overrides:
    `format` in class `java.text.DecimalFormat`

### width

    public int width()

### formatString

    public java.lang.StringBuffer formatString(java.lang.String str)

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD